[MarkLogic Dev General] Eclipse Errors

Sam Neth Sam.Neth at marklogic.com
Thu Aug 26 12:37:37 PDT 2010


This is unfortunately normal; the plugin tries to perform "semantic validation" on the module by mock executing it, but library modules can't be evaluated in that way.  There is hope that a future version of the plugin will fix this, at least by skipping the evaluation, but I can't say when that might happen.


Sam Neth
Lead Engineer
MarkLogic Corporation





On Aug 26, 2010, at 12:33 PM, Neil wrote:

Hi,

I am trying out the Eclipse plugin for MarkjLogic. The one problem I am getting is that errors are being reported for each of the library modules in my project. Specifically, that they cannot be evaluated.  I get this error for all library modules, including existing ones that I know work OK, and new ones created by the Eclipse interface.

The error is “XDMP-EVALIBMOD ... Cannot evaluate library module”. The message includes “xdmp:eval(...)”, so that function is being used on the library modules, which I think makes no sense.

The modules are on the file system. The version of Eclipse is 3.6.0. The version of MarkLogic is 4.1-5.

Any ideas anybody? These error message are very annoying!

Neil.

_______________________________________________
General mailing list
General at developer.marklogic.com<mailto:General at developer.marklogic.com>
http://developer.marklogic.com/mailman/listinfo/general

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://developer.marklogic.com/pipermail/general/attachments/20100826/85a1a23b/attachment.html 


More information about the General mailing list